Gentoo Archives: gentoo-commits

From: Craig Andrews <candrews@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libbitcoinconsensus/
Date: Fri, 11 Jan 2019 21:39:04
Message-Id: 1547242701.5d5557dad70878bc5554ba0803885af66ab49961.candrews@gentoo
commit:     5d5557dad70878bc5554ba0803885af66ab49961
Author:     Luke Dashjr <luke-jr+git <AT> utopios <DOT> org>
AuthorDate: Sat Dec 29 23:44:08 2018 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Fri Jan 11 21:38:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d5557da

net-libs/libbitcoinconsensus: Bump to 0.17.1

Signed-off-by: Luke Dashjr <luke-jr+git <AT> utopios.org>
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-libs/libbitcoinconsensus/Manifest              |  2 +
 .../libbitcoinconsensus-0.17.1.ebuild              | 94 ++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/net-libs/libbitcoinconsensus/Manifest b/net-libs/libbitcoinconsensus/Manifest
index 443491598dd..c3a90d5a2b6 100644
--- a/net-libs/libbitcoinconsensus/Manifest
+++ b/net-libs/libbitcoinconsensus/Manifest
@@ -1,2 +1,4 @@
 DIST bitcoin-0.16.3.knots20180918.patches.tar.xz 466344 BLAKE2B c45b96513e4b6317e6a2a55cc3b47302fbe56fb87717ae0197010694013331b5d071b85a11a73c76f08f39e9f0294d3475e89ee63272047df83893de4dbaa390 SHA512 2c3540acc668aeef4b8f01774219736d95395201ddeaccaf70e0bad4a89f05cdd5ffaf630bae0577656efb3580fae92ce0ee4bb1a720ea757ca59e3fd66e1893
+DIST bitcoin-0.17.1.knots20181229.patches.tar.xz 475988 BLAKE2B ce19ccbbeaac48f24b2833858a186494f84cb54ac380c42104f4d16b0a6acb44bc7a83c1b11311e2c566326d7067530ea5f34404def5f22b4825e2fa15aca22d SHA512 da89f9510ee523c712aa137512dda752ab8d115eb8a45a999aa742555621f557694db34162a1f6979922268a3e22563883ea6d9d9a47e5c7613235c0ff06fda0
 DIST bitcoin-v0.16.3.tar.gz 6658712 BLAKE2B 2c20b32ea30aed264115d1bd336b62fa28de69cbf116385508718efd7ff22537c3bd402c0965e0f6ddd8e79fc8b51f388f52f885847d36207a24523e927ca63e SHA512 2da25f56fe9b1f5a81815c14e70ff1a69ec15f742424e2c24d71303a71d57c8050dea5d5ba57425bbe0a01a3995ad9b30f0beea5dbafd1632a627cd3fd9a984d
+DIST bitcoin-v0.17.1.tar.gz 6224852 BLAKE2B efc86768ee2d23db83496ff9e62bc86d10c4d24a7343f4c706a4d336aeb94087b2d496db53e393beb5a9dc228bb9fe957ca89254c2fdaf9980b03029efbac2f8 SHA512 ef911ac6b49075a4f3d8db7f9f4dc59590d49847006fa36d7b8cce1634945d418accd95b12da505df38314fb7768f544863169d4b26b230e88dd627a83947466

diff --git a/net-libs/libbitcoinconsensus/libbitcoinconsensus-0.17.1.ebuild b/net-libs/libbitcoinconsensus/libbitcoinconsensus-0.17.1.ebuild
new file mode 100644
index 00000000000..179444243d2
--- /dev/null
+++ b/net-libs/libbitcoinconsensus/libbitcoinconsensus-0.17.1.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+BITCOINCORE_COMMITHASH="ef70f9b52b851c7997a9f1a0834714e3eebc1fd8"
+KNOTS_PV="${PV}.knots20181229"
+KNOTS_P="bitcoin-${KNOTS_PV}"
+
+DESCRIPTION="Bitcoin Core consensus library"
+HOMEPAGE="https://bitcoincore.org/ https://bitcoinknots.org/"
+SRC_URI="
+	https://github.com/bitcoin/bitcoin/archive/${BITCOINCORE_COMMITHASH}.tar.gz -> bitcoin-v${PV}.tar.gz
+	https://bitcoinknots.org/files/0.17.x/${KNOTS_PV}/${KNOTS_P}.patches.txz -> ${KNOTS_P}.patches.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+asm knots libressl"
+
+DEPEND="
+	>=dev-libs/libsecp256k1-0.0.0_pre20151118:=[recovery]
+	!libressl? ( dev-libs/openssl:0=[-bindist] )
+	libressl? ( dev-libs/libressl:0= )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( doc/bips.md doc/release-notes.md doc/shared-libraries.md )
+
+S="${WORKDIR}/bitcoin-${BITCOINCORE_COMMITHASH}"
+
+pkg_pretend() {
+	if use knots; then
+		elog "You are building ${PN} from Bitcoin Knots."
+		elog "For more information, see:"
+		elog "https://bitcoinknots.org/files/0.17.x/${KNOTS_PV}/${KNOTS_P}.desc.html"
+	else
+		elog "You are building ${PN} from Bitcoin Core."
+		elog "For more information, see:"
+		elog "https://bitcoincore.org/en/2018/12/25/release-${PV}/"
+	fi
+}
+
+src_prepare() {
+	local knots_patchdir="${WORKDIR}/${KNOTS_P}.patches/"
+
+	eapply "${knots_patchdir}/${KNOTS_P}.syslibs.patch"
+
+	if use knots; then
+		eapply "${knots_patchdir}/${KNOTS_P}.f.patch"
+		eapply "${knots_patchdir}/${KNOTS_P}.branding.patch"
+		eapply "${knots_patchdir}/${KNOTS_P}.ts.patch"
+	fi
+
+	eapply_user
+
+	echo '#!/bin/true' >share/genbuild.sh || die
+	mkdir -p src/obj || die
+	echo "#define BUILD_SUFFIX gentoo${PVR#${PV}}" >src/obj/build.h || die
+
+	eautoreconf
+	rm -r src/leveldb src/secp256k1 || die
+}
+
+src_configure() {
+	local my_econf=(
+		$(use_enable asm)
+		--without-qtdbus
+		--without-qrencode
+		--without-miniupnpc
+		--disable-tests
+		--disable-wallet
+		--disable-zmq
+		--with-libs
+		--disable-util-cli
+		--disable-util-tx
+		--disable-bench
+		--without-daemon
+		--without-gui
+		--disable-ccache
+		--disable-static
+		--with-system-libsecp256k1
+	)
+	econf "${my_econf[@]}"
+}
+
+src_install() {
+	default
+
+	find "${D}" -name '*.la' -delete || die
+}